function [N, l2, h1] = main_delta(n)
  
  % Initialize constants
   
  F_HANDLE = @(x,varargin) 1;
  GD_HANDLE = @(x,varargin) 0;
 
  % Initialize mesh
  
  Mesh = load_Mesh(['Coord_Circ_' num2str(n) '.dat'], ['Elem_Circ_' num2str(n) '.dat']); 
  Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);
  Mesh = add_Edges(Mesh);
  Loc = get_BdEdges(Mesh);
  Mesh.BdFlags = zeros(size(Mesh.Edges,1),1);
  Mesh.BdFlags(Loc) = -1;
  Mesh = add_Edge2Elem(Mesh);
  
  % Assemble stiffness matrix and load vector
 
  A = assemMat_LFE(Mesh, @STIMA_Lapl_LFE);
  L = assemLoad_Delta_LFE(Mesh);
   
  % Incorporate Dirichlet boundary data
 
  [U,FreeDofs] = assemDir_LFE(Mesh,-1,GD_HANDLE);
  L = L - A*U;
  
  % Solve the linear system
 
  U(FreeDofs) = A(FreeDofs,FreeDofs)\L(FreeDofs);
    
  N = length(FreeDofs);
  l2 = L2Err_LFE(Mesh, U, P7O6(), @(x,varargin)zeros(size(x,1),1));
  h1 = H1SErr_LFE(Mesh, U, P7O6(), @(x,varargin)zeros(size(x,1),2));
 
end
