function [A,phi]=tpass(f,alpha1,alpha2,x,y)


Tx=galmat1D(x,alpha1);
Ty=galmat1D(y,alpha2);
Mx=massmat1D(x,alpha1);
My=massmat1D(y,alpha2);

A=kron(Ty,Mx)+kron(My,Tx);


n=length(x)-1;
m=length(y)-1;

phi=zeros ((n-1)*(m-1),1);


% |-------|-------|
% |       |       |
% |  IV   |  III  |
% |       |       |
% |-------X-------|
% |       |       |
% |   I   |   II  |
% |       |       |
% |-------|-------|
%
% X is the node and I,II,III,IV are the neighbouring elements.

for j=1:m-1
    
    for i=1:n-1
        
        ind=(j-1)*(n-1)+i;
        
        %I
        xShift=0;
        yShift=0;
        x1=x(i+xShift);
        x2=x(i+1+xShift);
        x3=x(i+1+xShift);
        y1=y(j+yShift);
        y3=y(j+1+yShift);
        y4=y(j+1+yShift);
        
        K=(x2-x1)*(y4-y1);
        f3=f(x3,y3);

        phi(ind)=phi(ind)+K*(f3)/4;

        %II
        xShift=1;
        yShift=0;
        x1=x(i+xShift);
        x2=x(i+1+xShift);
        x4=x(i+xShift);
        y1=y(j+yShift);
        y4=y(j+1+yShift);
        
        K=(x2-x1)*(y4-y1);

        f4=f(x4,y4);
        
        phi(ind)=phi(ind)+K*(f4)/4;
                
        %III
        xShift=1;
        yShift=1;
        x1=x(i+xShift);
        x2=x(i+1+xShift);
        y1=y(j+yShift);
        y4=y(j+1+yShift);
        
        K=(x2-x1)*(y4-y1);
        f1=f(x1,y1);

        phi(ind)=phi(ind)+K*(f1)/4;
        
        
        %IV
        xShift=0;
        yShift=1;
        x1=x(i+xShift);
        x2=x(i+1+xShift);
        y1=y(j+yShift);
        y2=y(j+yShift);
        y4=y(j+1+yShift);
        
        K=(x2-x1)*(y4-y1);
        f2=f(x2,y2);
        
        phi(ind)=phi(ind)+K*(f2)/4;
        
        
    end
    
    
end












